import 'dart:ffi';

import 'package:flutter/material.dart';
import 'package:liftmanager/res/colors.dart';
import 'package:liftmanager/routers/fluro_navigator.dart';
import 'package:liftmanager/widgets/app_bar.dart';
import 'package:liftmanager/widgets/click_item.dart';

class JuBaoTypePage extends StatelessWidget {
  JuBaoTypePage({Key key, this.backObj}) : super(key: key);

  Function(String,int) backObj;
  @override
  Widget build(BuildContext context) {
    List titles = [
      '发布色球/违法信息',
      '存在欺诈骗钱行为',
      '冒充他人',
      '账号可能被盗用了',
      '侵犯未成年人权益',
      '存在其他违规行为',
    ];
    return Scaffold(
        //resizeToAvoidBottomPadding: false,
        appBar: MyAppBar(
          centerTitle: "举报",
        ),
        body: Container(
            child: Column(
          children: [
            Container(
              alignment: Alignment.centerLeft,
              margin: EdgeInsets.only(left: 15),
              child: Text(
                '请选择举报类型',
                style: TextStyle(color: Colours.dark_text_gray, fontSize: 13),
              ),
            ),
            Expanded(
              child: ListView.builder(
                itemCount: 6,
                itemBuilder: (BuildContext context, int index) {
                  return ClickItem(
                    title: titles[index],
                    content: '',
                    onTap: () {
                      backObj(titles[index],index);
                      NavigatorUtils.goBack(context);
                      // AppNavigator.pushResult(
                      //     context,
                      //     InputTextPage(
                      //       title: "举报理由",
                      //       hintText: "请填写...",
                      //       content: _remarks,
                      //     ), (result) {
                      //   setState(() {
                      //     _remarks = result.toString();
                      //   });
                      // });
                    },
                  );
                },
              ),
            )
          ],
        )));
  }
}
